Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  class ModelFactory extends AnyRef

  This trait extracts all required information for documentation from compilation units

  This trait extracts all required information for documentation from compilation units

  Definition Classes
    model
- DocTemplateImpl
- EntityImpl
- HigherKindedImpl
- MemberImpl
- MemberTemplateImpl
- NoDocTemplateImpl
- NonTemplateMemberImpl
- NonTemplateParamMemberImpl
- PackageImpl
- ParameterImpl
- RootPackageImpl
- TemplateImpl
- modelCreation

o

scala.tools.nsc.doc.model.ModelFactory

# modelCreation

###

#### object modelCreation

These are all model construction methods. Please do not use them directly, they are calling each other recursively starting from makeModel. On the other hand, makeTemplate, makeAnnotation, makeMember, makeType should only be used after the model was created (modelFinished=true) otherwise assertions will start failing.

Source
  ModelFactory.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. modelCreation
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def createLazyTemplateMember(aSym: Global.Symbol, inTpl: (ModelFactory.this)#DocTemplateImpl): (ModelFactory.this)#MemberImpl

   After the model is completed, no more DocTemplateEntities are created.

   After the model is completed, no more DocTemplateEntities are created. Therefore any symbol that still appears is:

   - MemberTemplateEntity (created here)
   - NoDocTemplateEntity (created in makeTemplate)
7.  def createRootPackage: (ModelFactory.this)#PackageImpl
8.  def createTemplate(aSym: Global.Symbol, inTpl: (ModelFactory.this)#DocTemplateImpl): Option[(ModelFactory.this)#MemberImpl]

   Create a template, either a package, class, trait or object

9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): java.lang.Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped